# Uses of Interface
org.mariadb.jdbc.internal.io.input.PacketInputStream

Packages that use PacketInputStream
Package
Description
org.mariadb.jdbc.authentication
org.mariadb.jdbc.internal.com.read
org.mariadb.jdbc.internal.com.read.resultset
org.mariadb.jdbc.internal.com.send
org.mariadb.jdbc.internal.com.send.authentication
org.mariadb.jdbc.internal.com.send.authentication.gssapi
org.mariadb.jdbc.internal.io.input
org.mariadb.jdbc.internal.protocol

## Uses of PacketInputStream in org.mariadb.jdbc.authentication

Methods in org.mariadb.jdbc.authentication with parameters of type PacketInputStream
Modifier and Type
Method
Description
`Buffer`
AuthenticationPlugin.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process plugin authentication.

## Uses of PacketInputStream in org.mariadb.jdbc.internal.com.read

Constructors in org.mariadb.jdbc.internal.com.read with parameters of type PacketInputStream
Modifier
Constructor
Description
``
`ReadInitialHandShakePacket(PacketInputStream reader)`
Read database initial stream.

## Uses of PacketInputStream in org.mariadb.jdbc.internal.com.read.resultset

Constructors in org.mariadb.jdbc.internal.com.read.resultset with parameters of type PacketInputStream
Modifier
Constructor
Description
``
`SelectResultSet(ColumnDefinition[] columnDefinition, Results results, Protocol protocol, PacketInputStream reader, boolean callableResult, boolean eofDeprecated)`
Create Streaming resultSet.
``
`UpdatableResultSet(ColumnDefinition[] columnsInformation, Results results, Protocol protocol, PacketInputStream reader, boolean callableResult, boolean eofDeprecated)`
Constructor.

## Uses of PacketInputStream in org.mariadb.jdbc.internal.com.send

Methods in org.mariadb.jdbc.internal.com.send with parameters of type PacketInputStream
Modifier and Type
Method
Description
`ServerPrepareResult`
ComStmtPrepare.`read(PacketInputStream reader, boolean eofDeprecated)`
Read COM_PREPARE_RESULT.

## Uses of PacketInputStream in org.mariadb.jdbc.internal.com.send.authentication

Methods in org.mariadb.jdbc.internal.com.send.authentication with parameters of type PacketInputStream
Modifier and Type
Method
Description
`Buffer`
CachingSha2PasswordPlugin.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process native password plugin authentication.
`Buffer`
ClearPasswordPlugin.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Send password in clear text to server.
`Buffer`
Ed25519PasswordPlugin.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process Ed25519 password plugin authentication.
`Buffer`
NativePasswordPlugin.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process native password plugin authentication.
`Buffer`
OldPasswordPlugin.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process old password plugin authentication.
`Buffer`
SendGssApiAuthPacket.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process gssapi plugin authentication.
`Buffer`
SendPamAuthPacket.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process PAM plugin authentication.
`Buffer`
Sha256PasswordPlugin.`process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)`
Process SHA 256 password plugin authentication.
`static PublicKey`
Sha256PasswordPlugin.`readPublicKeyFromSocket(PacketInputStream reader, AtomicInteger sequence)`
Read public Key from socket.

## Uses of PacketInputStream in org.mariadb.jdbc.internal.com.send.authentication.gssapi

Methods in org.mariadb.jdbc.internal.com.send.authentication.gssapi with parameters of type PacketInputStream
Modifier and Type
Method
Description
`void`
GssapiAuth.`authenticate(PacketOutputStream writer, PacketInputStream in, AtomicInteger sequence, String servicePrincipalName, String mechanisms)`
`void`
StandardGssapiAuthentication.`authenticate(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence, String servicePrincipalName, String mechanisms)`
Process default GSS plugin authentication.
`void`
WindowsNativeSspiAuthentication.`authenticate(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence, String servicePrincipalName, String mechanisms)`
Process native windows GSS plugin authentication.

## Uses of PacketInputStream in org.mariadb.jdbc.internal.io.input

Classes in org.mariadb.jdbc.internal.io.input that implement PacketInputStream
Modifier and Type
Class
Description
`class`
`DecompressPacketInputStream`
`class`
`StandardPacketInputStream`

## Uses of PacketInputStream in org.mariadb.jdbc.internal.protocol

Fields in org.mariadb.jdbc.internal.protocol declared as PacketInputStream
Modifier and Type
Field
Description
`protected PacketInputStream`
AbstractConnectProtocol.`reader`
Methods in org.mariadb.jdbc.internal.protocol that return PacketInputStream
Modifier and Type
Method
Description
`PacketInputStream`
AbstractConnectProtocol.`getReader()`
`PacketInputStream`
Protocol.`getReader()`